]> cygwin.com Git - cygwin-apps/cygutils.git/blob - Makefile.in
Lots of changes to support building on non-cygwin platforms.
[cygwin-apps/cygutils.git] / Makefile.in
1 # Makefile.in generated automatically by automake 1.5 from Makefile.am.
2
3 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
4 # Free Software Foundation, Inc.
5 # This Makefile.in is free software; the Free Software Foundation
6 # gives unlimited permission to copy and/or distribute it,
7 # with or without modifications, as long as this notice is preserved.
8
9 # This program is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12 # PARTICULAR PURPOSE.
13
14 @SET_MAKE@
15
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = .
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 INSTALL = @INSTALL@
47 INSTALL_PROGRAM = @INSTALL_PROGRAM@
48 INSTALL_DATA = @INSTALL_DATA@
49 INSTALL_SCRIPT = @INSTALL_SCRIPT@
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = @program_transform_name@
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 AMTAR = @AMTAR@
59 AWK = @AWK@
60 CC = @CC@
61 DEPDIR = @DEPDIR@
62 EXEEXT = @EXEEXT@
63 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
64 MAINT = @MAINT@
65 OBJEXT = @OBJEXT@
66 PACKAGE = @PACKAGE@
67 VERSION = @VERSION@
68 am__include = @am__include@
69 am__quote = @am__quote@
70 install_sh = @install_sh@
71
72 SUBDIRS = src-gpl src-pd src-bsd
73 subdir = .
74 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
75 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
76 CONFIG_HEADER = config.h
77 CONFIG_CLEAN_FILES =
78 DIST_SOURCES =
79
80 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
81 uninstall-info-recursive all-recursive install-data-recursive \
82 install-exec-recursive installdirs-recursive install-recursive \
83 uninstall-recursive check-recursive installcheck-recursive
84 DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
85 Makefile.am Makefile.in NEWS TODO acinclude.m4 aclocal.m4 \
86 config.h.in configure configure.ac depcomp install-sh missing \
87 mkinstalldirs
88 DIST_SUBDIRS = $(SUBDIRS)
89 all: config.h
90 $(MAKE) $(AM_MAKEFLAGS) all-recursive
91
92 .SUFFIXES:
93 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
94 cd $(top_srcdir) && \
95 $(AUTOMAKE) --gnu Makefile
96 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
97 cd $(top_builddir) && \
98 CONFIG_HEADERS= CONFIG_LINKS= \
99 CONFIG_FILES=$@ $(SHELL) ./config.status
100
101 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
102 $(SHELL) ./config.status --recheck
103 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
104 cd $(srcdir) && $(AUTOCONF)
105
106 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac acinclude.m4
107 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
108 config.h: stamp-h
109 @if test ! -f $@; then \
110 rm -f stamp-h; \
111 $(MAKE) stamp-h; \
112 else :; fi
113 stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
114 @rm -f stamp-h stamp-hT
115 @echo timestamp > stamp-hT 2> /dev/null
116 cd $(top_builddir) \
117 && CONFIG_FILES= CONFIG_HEADERS=config.h \
118 $(SHELL) ./config.status
119 @mv stamp-hT stamp-h
120 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/./stamp-h.in
121 @if test ! -f $@; then \
122 rm -f $(srcdir)/./stamp-h.in; \
123 $(MAKE) $(srcdir)/./stamp-h.in; \
124 else :; fi
125 $(srcdir)/./stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
126 @rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
127 @echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
128 cd $(top_srcdir) && $(AUTOHEADER)
129 @mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in
130
131 distclean-hdr:
132 -rm -f config.h
133 uninstall-info-am:
134
135 # This directory's subdirectories are mostly independent; you can cd
136 # into them and run `make' without going through this Makefile.
137 # To change the values of `make' variables: instead of editing Makefiles,
138 # (1) if the variable is set in `config.status', edit `config.status'
139 # (which will cause the Makefiles to be regenerated when you run `make');
140 # (2) otherwise, pass the desired values on the `make' command line.
141 $(RECURSIVE_TARGETS):
142 @set fnord $(MAKEFLAGS); amf=$$2; \
143 dot_seen=no; \
144 target=`echo $@ | sed s/-recursive//`; \
145 list='$(SUBDIRS)'; for subdir in $$list; do \
146 echo "Making $$target in $$subdir"; \
147 if test "$$subdir" = "."; then \
148 dot_seen=yes; \
149 local_target="$$target-am"; \
150 else \
151 local_target="$$target"; \
152 fi; \
153 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
154 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
155 done; \
156 if test "$$dot_seen" = "no"; then \
157 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
158 fi; test -z "$$fail"
159
160 mostlyclean-recursive clean-recursive distclean-recursive \
161 maintainer-clean-recursive:
162 @set fnord $(MAKEFLAGS); amf=$$2; \
163 dot_seen=no; \
164 case "$@" in \
165 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
166 *) list='$(SUBDIRS)' ;; \
167 esac; \
168 rev=''; for subdir in $$list; do \
169 if test "$$subdir" = "."; then :; else \
170 rev="$$subdir $$rev"; \
171 fi; \
172 done; \
173 rev="$$rev ."; \
174 target=`echo $@ | sed s/-recursive//`; \
175 for subdir in $$rev; do \
176 echo "Making $$target in $$subdir"; \
177 if test "$$subdir" = "."; then \
178 local_target="$$target-am"; \
179 else \
180 local_target="$$target"; \
181 fi; \
182 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
183 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
184 done && test -z "$$fail"
185 tags-recursive:
186 list='$(SUBDIRS)'; for subdir in $$list; do \
187 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
188 done
189
190 tags: TAGS
191
192 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
193 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
194 unique=`for i in $$list; do \
195 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
196 done | \
197 $(AWK) ' { files[$$0] = 1; } \
198 END { for (i in files) print i; }'`; \
199 mkid -fID $$unique $(LISP)
200
201 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
202 $(TAGS_FILES) $(LISP)
203 tags=; \
204 here=`pwd`; \
205 list='$(SUBDIRS)'; for subdir in $$list; do \
206 if test "$$subdir" = .; then :; else \
207 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
208 fi; \
209 done; \
210 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
211 unique=`for i in $$list; do \
212 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
213 done | \
214 $(AWK) ' { files[$$0] = 1; } \
215 END { for (i in files) print i; }'`; \
216 test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
217 || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)
218
219 GTAGS:
220 here=`CDPATH=: && cd $(top_builddir) && pwd` \
221 && cd $(top_srcdir) \
222 && gtags -i $(GTAGS_ARGS) $$here
223
224 distclean-tags:
225 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
226
227 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
228
229 top_distdir = .
230 # Avoid unsightly `./'.
231 distdir = $(PACKAGE)-$(VERSION)
232
233 GZIP_ENV = --best
234
235 distdir: $(DISTFILES)
236 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
237 mkdir $(distdir)
238 @for file in $(DISTFILES); do \
239 if test -f $$file; then d=.; else d=$(srcdir); fi; \
240 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
241 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
242 $(mkinstalldirs) "$(distdir)/$$dir"; \
243 fi; \
244 if test -d $$d/$$file; then \
245 cp -pR $$d/$$file $(distdir) \
246 || exit 1; \
247 else \
248 test -f $(distdir)/$$file \
249 || cp -p $$d/$$file $(distdir)/$$file \
250 || exit 1; \
251 fi; \
252 done
253 for subdir in $(SUBDIRS); do \
254 if test "$$subdir" = .; then :; else \
255 test -d $(distdir)/$$subdir \
256 || mkdir $(distdir)/$$subdir \
257 || exit 1; \
258 (cd $$subdir && \
259 $(MAKE) $(AM_MAKEFLAGS) \
260 top_distdir="$(top_distdir)" \
261 distdir=../$(distdir)/$$subdir \
262 distdir) \
263 || exit 1; \
264 fi; \
265 done
266 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
267 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
268 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
269 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
270 || chmod -R a+r $(distdir)
271 dist: distdir
272 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
273 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
274
275 # This target untars the dist file and tries a VPATH configuration. Then
276 # it guarantees that the distribution is self-contained by making another
277 # tarfile.
278 distcheck: dist
279 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
280 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
281 chmod -R a-w $(distdir); chmod a+w $(distdir)
282 mkdir $(distdir)/=build
283 mkdir $(distdir)/=inst
284 chmod a-w $(distdir)
285 dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
286 && cd $(distdir)/=build \
287 && ../configure --srcdir=.. --prefix=$$dc_install_base \
288 && $(MAKE) $(AM_MAKEFLAGS) \
289 && $(MAKE) $(AM_MAKEFLAGS) dvi \
290 && $(MAKE) $(AM_MAKEFLAGS) check \
291 && $(MAKE) $(AM_MAKEFLAGS) install \
292 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
293 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
294 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
295 || (echo "Error: files left after uninstall" 1>&2; \
296 exit 1) ) \
297 && $(MAKE) $(AM_MAKEFLAGS) dist \
298 && $(MAKE) $(AM_MAKEFLAGS) distclean \
299 && rm -f $(distdir).tar.gz \
300 && (test `find . -type f -print | wc -l` -eq 0 \
301 || (echo "Error: files left after distclean" 1>&2; \
302 exit 1) )
303 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
304 @echo "$(distdir).tar.gz is ready for distribution" | \
305 sed 'h;s/./=/g;p;x;p;x'
306 check-am: all-am
307 check: check-recursive
308 all-am: Makefile config.h
309 installdirs: installdirs-recursive
310 installdirs-am:
311
312 install: install-recursive
313 install-exec: install-exec-recursive
314 install-data: install-data-recursive
315 uninstall: uninstall-recursive
316
317 install-am: all-am
318 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
319
320 installcheck: installcheck-recursive
321 install-strip:
322 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
323 `test -z '$(STRIP)' || \
324 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
325 mostlyclean-generic:
326
327 clean-generic:
328
329 distclean-generic:
330 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
331
332 maintainer-clean-generic:
333 @echo "This command is intended for maintainers to use"
334 @echo "it deletes files that may require special tools to rebuild."
335 clean: clean-recursive
336
337 clean-am: clean-generic mostlyclean-am
338
339 dist-all: distdir
340 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
341 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
342 distclean: distclean-recursive
343 -rm -f config.status config.cache config.log
344 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
345
346 dvi: dvi-recursive
347
348 dvi-am:
349
350 info: info-recursive
351
352 info-am:
353
354 install-data-am:
355
356 install-exec-am:
357
358 install-info: install-info-recursive
359
360 install-man:
361
362 installcheck-am:
363
364 maintainer-clean: maintainer-clean-recursive
365
366 maintainer-clean-am: distclean-am maintainer-clean-generic
367
368 mostlyclean: mostlyclean-recursive
369
370 mostlyclean-am: mostlyclean-generic
371
372 uninstall-am: uninstall-info-am
373
374 uninstall-info: uninstall-info-recursive
375
376 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
377 clean-generic clean-recursive dist dist-all distcheck distclean \
378 distclean-generic distclean-hdr distclean-recursive \
379 distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
380 info-recursive install install-am install-data install-data-am \
381 install-data-recursive install-exec install-exec-am \
382 install-exec-recursive install-info install-info-am \
383 install-info-recursive install-man install-recursive \
384 install-strip installcheck installcheck-am installdirs \
385 installdirs-am installdirs-recursive maintainer-clean \
386 maintainer-clean-generic maintainer-clean-recursive mostlyclean \
387 mostlyclean-generic mostlyclean-recursive tags tags-recursive \
388 uninstall uninstall-am uninstall-info-am \
389 uninstall-info-recursive uninstall-recursive
390
391 # Tell versions [3.59,3.63) of GNU make to not export all variables.
392 # Otherwise a system limit (for SysV at least) may be exceeded.
393 .NOEXPORT:
This page took 0.606897 seconds and 6 git commands to generate.